import { Eventify } from "cc";
import { EventTarget } from "cc";

export class EM extends EventTarget {
  private static _ins: EM = null;

  public static get ins(): EM {
    return (EM._ins ??= new EM());
  }
}
